Subject: attribute textual names and/or OIDs in LDAP protocol ?

From: sanjay jain <[email-masked]>
Date: Thu, 27 Apr 2000 15:31:04 -0700

Could somebody please clarify what  an LDAP server should

expect in the protocol as far as attribute names are concerned

when the server knows both the textual name and the OID for

an attribute ?

E.g. if an LDAP server knows both the textual name and the OID

of an attribute then should it be able to handle ONLY the textual name

OR both the textual name and the OID in DNs, required attribute lists,

filters, in add/modify  etc. for that attribute ?  (My guess:
both)

It is clear from RFC 2251 (section 4.1.4) that the server should

return the textual name for such an attribute in the search result.

thanks

sanjay